## 3DGPL ###################################################
#  (DOS/WATCOM C)                                          #
#  use as:                                                 #
#                                                          #
#  make tracer                                             #
#                                                          #
#  make clean                                              #
#                                                          #
#  (c) 1995-98 Sergei Savchenko, (savs@cs.mcgill.ca)       #
############################################################

OP = -D_RGB_ -D_8BPP_ -D_PAINTER_ -D_MONO_
CC = wcl386
LN = wcl386
CF = /c /ox $(OP) /fo=
LF = /ox /k16384 /fe=app.exe
LL =

############################################################

OBJ = 1.obj 2.obj 3.obj 4.obj 5.obj 6.obj 7.obj 8.obj
HEAD = ../clipper/clipper.h ../hardware/hardware.h ../graphics/graphics.h ../engine/engine.h ../data/data.h ../colour/colour.h ../vector/vector.h ../trace/trace.h 386-wat.mk

############################################################

tracer: 00.obj $(OBJ)
	$(LN) $(LF) 00.obj $(OBJ) $(LL)

00.obj: tracer.c $(HEAD)
	$(CC) $(CF)00.obj tracer.c

1.obj: ..\clipper\clipp-2d.c $(HEAD)
	$(CC) $(CF)1.obj ..\clipper\clipp-2d.c

2.obj: ..\graphics\grp-base.c $(HEAD)
	$(CC) $(CF)2.obj ..\graphics\grp-base.c
3.obj: ..\graphics\grp-text.c $(HEAD)
	$(CC) $(CF)3.obj ..\graphics\grp-text.c

4.obj: ..\hardware\hardware.c $(HEAD)
	$(CC) $(CF)4.obj ..\hardware\hardware.c

5.obj: ..\data\data.c $(HEAD)
	$(CC) $(CF)5.obj ..\data\data.c

6.obj: ..\colour\colour.c $(HEAD)
	$(CC) $(CF)6.obj ..\colour\colour.c

7.obj: ..\vector\vector.c $(HEAD)
	$(CC) $(CF)7.obj ..\vector\vector.c

8.obj: ..\trace\trace.c $(HEAD)
 $(CC) $(CF)8.obj ..\trace\trace.c


..\hardware\hardware.c : ..\hardware\386-wat\hardware.c
	copy ..\hardware\386-wat\hardware.c ..\hardware\hardware.c
..\hardware\hardware.h : ..\hardware\386-wat\hardware.h
	copy ..\hardware\386-wat\hardware.h ..\hardware\hardware.h

clean:
	del ..\hardware\hardware.h
	del ..\hardware\hardware.c
	del *.obj
	del app.exe

############################################################
