## 3DGPL ###################################################
#  (DOS/GCC(DJGPP))                                        #
#  use as:                                                 #
#                                                          #
#  make tracer                                             #
#                                                          #
#  make clean                                              #
#                                                          #
#  (c) 1995-98 Sergei Savchenko, (savs@cs.mcgill.ca)       #
############################################################

OP = -D_RGB_ -D_8BPP_ -D_PAINTER_ -D_MONO_
CC = gcc
LN = gcc
CF = -c -Wall -O4 $(OP) -o
LF = -O4 -o app.out
LL = -lm

############################################################

OBJ = 1.o 2.o 3.o 4.o 5.o 6.o 7.o 8.o
HEAD = ../clipper/clipper.h ../hardware/hardware.h ../graphics/graphics.h ../engine/engine.h ../data/data.h ../colour/colour.h ../vector/vector.h ../trace/trace.h 386-gcc.mk

############################################################

tracer: 00.o $(OBJ)
	$(LN) $(LF) 00.o $(OBJ) $(LL)

00.o: tracer.c $(HEAD)
	$(CC) $(CF)00.o tracer.c

1.o: ../clipper/clipp-2d.c $(HEAD)
	$(CC) $(CF)1.o ../clipper/clipp-2d.c

2.o: ../graphics/grp-base.c $(HEAD)
	$(CC) $(CF)2.o ../graphics/grp-base.c
3.o: ../graphics/grp-text.c $(HEAD)
	$(CC) $(CF)3.o ../graphics/grp-text.c

4.o: ../hardware/hardware.c $(HEAD)
	$(CC) $(CF)4.o ../hardware/hardware.c

5.o: ../data/data.c $(HEAD)
	$(CC) $(CF)5.o ../data/data.c

6.o: ../colour/colour.c $(HEAD)
	$(CC) $(CF)6.o ../colour/colour.c

7.o: ../vector/vector.c $(HEAD)
	$(CC) $(CF)7.o ../vector/vector.c

8.o: ../trace/trace.c $(HEAD)
	$(CC) $(CF)8.o ../trace/trace.c

../hardware/hardware.c : ../hardware/386-gcc/hardware.c
	copy ..\hardware\386-gcc\hardware.c ..\hardware\hardware.c
../hardware/hardware.h : ../hardware/386-gcc/hardware.h
	copy ..\hardware\386-gcc\hardware.h ..\hardware\hardware.h

clean:
	del ..\hardware\hardware.h
	del ..\hardware\hardware.c
	del *.o
	del app.out
        del app.exe

############################################################
